<div fxLayout="row" class="main">

  <div fxFlex="50%">

    <md-card class="center-text">

      <div>
        <img src="assets/img/Yum-logo-small.png">
        <h3>Register</h3>
      </div>

      <div>

        <form [formGroup]="registrationForm" (ngSubmit)="register()" autocomplete="off">

          <div>
            <md-input-container>
              <input mdInput type="text" formControlName="firstName" placeholder="First Name">
              <md-error>
                <span *ngIf="registrationForm.get('firstName').hasError('required')">Required</span>
                <span *ngIf="registrationForm.get('firstName').hasError('pattern')">Please enter a valid name</span>
                <span *ngIf="registrationForm.get('firstName').hasError('minlength')">Minimum length 2 characters</span>
                <span *ngIf="registrationForm.get('firstName').hasError('maxlength')">Maximum length 25 characters</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <md-input-container>
              <input mdInput type="text" formControlName="lastName" placeholder="Last Name">
              <md-error>
                <span *ngIf="registrationForm.get('lastName').hasError('required')">Required</span>
                <span *ngIf="registrationForm.get('lastName').hasError('pattern')">Please enter a valid name</span>
                <span *ngIf="registrationForm.get('lastName').hasError('minlength')">Minimum length 2 characters</span>
                <span *ngIf="registrationForm.get('lastName').hasError('maxlength')">Maximum length 25 characters</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <md-input-container>
              <input mdInput type="text" formControlName="email" placeholder="Email">
              <md-error>
                <span *ngIf="registrationForm.get('email').hasError('required')">Required</span>
                <span *ngIf="registrationForm.get('email').hasError('pattern')">Please enter a valid email</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <md-input-container>
              <input mdInput type="password" formControlName="password" placeholder="Password">
              <md-error>
                <span *ngIf="registrationForm.get('password').hasError('required')">Required</span>
                <span *ngIf="registrationForm.get('password').hasError('minlength')">Minimum length 6 characters</span>
                <span *ngIf="registrationForm.get('password').hasError('maxlength')">Maximum length 25 characters</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <md-input-container>
              <input mdInput type="password" formControlName="passwordConfirm" placeholder="Confirm Password" (blur)="blurred = true;" (focus)="blurred = false;">
              <md-error>
                <span *ngIf="registrationForm.get('passwordConfirm').hasError('required')">Required</span>
                <span *ngIf="registrationForm.get('passwordConfirm').hasError('validateStart')
                            || (registrationForm.get('passwordConfirm').hasError('validateEqual') && blurred) && !registrationForm.get('passwordConfirm').hasError('required')">Password missmatch</span>
              </md-error>
            </md-input-container>
          </div>

          <div class="italic-text">
            <small>By clicking Create Account, I agree to the
              <span class="underlined-text clickable" (click)="displayTermsAndPolicy(true)">Terms of Service</span> and
              <span class="underlined-text clickable" (click)="displayTermsAndPolicy(false)">Privacy Policy</span>.
            </small>
          </div>

          <div>
            <button md-button type="submit" color="primary" class="button-strong-text" [disabled]="disableSubmit || !registrationForm.valid || loading"
              id="submit-btn">Create account</button>
            <div class="working-spinner" *ngIf="loading">
              <md-spinner color="warn" class="small-md-spinner"></md-spinner>
            </div>
          </div>

        </form>

      </div>

    </md-card>

    <div class="sign-in">
      <p>Already have an account?</p>
      <p><span (click)="gotoLogin()" class="bold-text clickable">Sign in</span></p>
    </div>

  </div>

  <div fxFlex="50%">
    <div class="quote">
      <p>
        Part of the secret of a success in life is to eat what you like and let the food fight it out inside.
      </p>
      <p class="bold-text">
        Mark Twain
      </p>
      <p>
        <small>www.brainyquote.com</small>
      </p>
    </div>
  </div>

</div>
